bab7ab92bbffb8888e4e0c97fd4dcef6b06ca0d7
[perl.git] / ext / ExtUtils-MakeMaker / lib / ExtUtils / MM_MacOS.pm
1 package ExtUtils::MM_MacOS;
2
3 use strict;
4
5 our $VERSION = 6.55_02;
6
7 sub new {
8     die <<'UNSUPPORTED';
9 MacOS Classic (MacPerl) is no longer supported by MakeMaker.
10 Please use Module::Build instead.
11 UNSUPPORTED
12 }
13
14 =head1 NAME
15
16 ExtUtils::MM_MacOS - once produced Makefiles for MacOS Classic
17
18 =head1 SYNOPSIS
19
20   # MM_MacOS no longer contains any code.  This is just a stub.
21
22 =head1 DESCRIPTION
23
24 Once upon a time, MakeMaker could produce an approximation of a correct
25 Makefile on MacOS Classic (MacPerl).  Due to a lack of maintainers, this
26 fell out of sync with the rest of MakeMaker and hadn't worked in years.
27 Since there's little chance of it being repaired, MacOS Classic is fading
28 away, and the code was icky to begin with, the code has been deleted to
29 make maintenance easier.
30
31 Those interested in writing modules for MacPerl should use Module::Build
32 which works better than MakeMaker ever did.
33
34 Anyone interested in resurrecting this file should pull the old version
35 from the MakeMaker CVS repository and contact makemaker@perl.org, but we
36 really encourage you to work on Module::Build instead.
37
38 =cut
39
40 1;